# Enable debug
# set -xv

export TERM=xterm-256color
export EDITOR=vim

# Colors
export CLICOLOR=1
export LSCOLORS=Exfxcxdxbxegedabagacad

export EDITOR=vim
export PROJECTS=$HOME/Code
export WORK_PROJECTS=$HOME/Code/work

# Go
# export GOROOT=$HOME/go/lang
export GOPATH=$HOME/go/path

BASHFILES=$HOME/dotfiles/bash
source $BASHFILES/functions_internal.sh
source $BASHFILES/functions.sh
source $BASHFILES/history.sh
source $BASHFILES/path.sh
source $BASHFILES/format.sh
source $BASHFILES/alias.sh
source $BASHFILES/prompt.sh
for f in $BASHFILES/secrets/*; do
	source $f
done

case "$(uname -s)" in
Darwin) source $BASHFILES/macos.sh ;;
Linux)  source $BASHFILES/linux.sh ;;
*)      echo "*** Unknown system! Check dotfiles/bashrc.sh ***" ;;
esac

# Use bash-completion, if available
if [ $PS2 ] && [ -f /usr/share/bash-completion/bash_completion ]; then
	source /usr/share/bash-completion/bash_completion
fi
if [ $PS2 ] && [ -f $HOME/.git-completion.bash ]; then
	source $HOME/.git-completion.bash
fi
